import request from '@/utils/request'

// 查询会话列表
export function listChatSession(query) {
  return request({
    url: '/chat/chatSession/list',
    method: 'get',
    params: query
  })
}

// 查询会话详细
export function getChatSession(sessionId) {
  return request({
    url: '/chat/chatSession/' + sessionId,
    method: 'get'
  })
}

// 新增会话
export function addChatSession(data) {
  return request({
    url: '/chat/chatSession',
    method: 'post',
    data: data
  })
}

// 修改会话
export function updateChatSession(data) {
  return request({
    url: '/chat/chatSession',
    method: 'put',
    data: data
  })
}

// 删除会话
export function delChatSession(sessionId) {
  return request({
    url: '/chat/chatSession/' + sessionId,
    method: 'delete'
  })
}

// 导出会话
export function exportChatSession(query) {
  return request({
    url: '/chat/chatSession/export',
    method: 'get',
    params: query
  })
}